### Virtual Method

# Foundry DiagnosticTool prepare

#### Declaration [src]

    DexFuture*
    prepare (
      FoundryDiagnosticTool* self,
      FoundryProcessLauncher* launcher,
      const char* const* argv,
      const char* const* environ,
      const char* language
    )

#### Description

No description available.

#### Parameters

`launcher`

  Type: `FoundryProcessLauncher`

  No description available.

  The data is owned by the caller of the method.

`argv`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`environ`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`language`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

No description available.

The returned data is owned by the instance.